Skip to main content
GET
/
api
/
registeredmodels
/
v2
Get Registered Models visible to user (v2)
curl --request GET \
  --url https://api.example.com/api/registeredmodels/v2 \
  --header 'X-Domino-Api-Key: <api-key>'
{
  "items": [
    {
      "createdAt": "2022-03-12T02:13:44.467Z",
      "description": "Customer churn model",
      "name": "churn-prediction",
      "ownerUsername": "martin_hito",
      "project": {
        "id": "62313ce67a0af0281c01a6a5",
        "isGitBasedProject": true,
        "name": "TO-DO",
        "ownerUsername": "TO-DO"
      },
      "requestingUserAccess": {
        "canEditModel": true,
        "canEditProjectAssets": true,
        "canViewExperimentRuns": true,
        "canViewModelApis": true,
        "canViewProject": true,
        "canViewProjectFiles": true
      },
      "tags": {},
      "updatedAt": "2022-03-12T02:13:44.467Z",
      "discoverable": false,
      "latestVersion": 1
    }
  ],
  "metadata": {
    "notices": [
      "<string>"
    ],
    "requestId": "<string>",
    "nextPageToken": "<string>"
  }
}

Authorizations

X-Domino-Api-Key
string
header
required

Query Parameters

projectId
string

Project ID of requested models.

searchPattern
string

Search parameter to retrieve models from Mlflow (currently supports name and tags)

modelCategory
enum<string>

Filter models by category. If not specified, returns all models.

Available options:
genai,
ml
pageToken
string

Pagination token to go to the next page based on a previous search query.

maxResults
integer
default:25

Max number of Registered Models to fetch. Defaults to 25.

orderBy
string

List of columns for ordering search results, which can include model name and last updated timestamp with an optional "DESC" or "ASC" annotation, where "ASC" is the default. Tiebreaks are done by model name ASC.

Response

Success

items
object[]
required
metadata
object
required